$(function() {
    reset();

    $(".new-email-button").click(function(e) {
      animateNewEmail();
    });

    $(".button-cancel").click(function(e) {
      animateCancelDiscardModal();
    });

    $(".button-discard").click(function(e) {
      animateDiscardEmail();
    });

    $(".button-savedraft").click(function(e) {
      animateSaveAsDraft();
    });

    $(".spotlight-red").click(function(e) {
      var textarea = $(".textarea").val();

      if (textarea == null || textarea == "") {
        animateDiscardEmail();
      } else {
        animateShowDiscardModal();
      }
    });

    $(".send-email-button").click(function(e) {
      animateSendEmail();
    });
});

function animateNewEmail() {
  $(".new-email-modal").hide();
  $(".textarea").val("");
  $(".new-email-window").show().css("opacity", 0);

  anime({
    targets: '.new-email-window',
    duration: 600,
    translateY: [100,0],
    opacity: [0,1],
    easing: "easeInOutBack"
  });
}

function animateDiscardEmail() {
  anime({
    targets: '.new-email-window',
    duration: 500,
    translateY: [0,150],
    rotateZ: 5,
    opacity: [1,0],
    easing: "easeInSine"
  });
}

function animateSendEmail() {
  anime({
    targets: '.new-email-window',
    duration: 500,
    translateY: [0,-1000],
    easing: "easeInQuart"
  });
}

function animateShowDiscardModal() {
  $(".new-email-modal").show().css("opacity", 0);

  anime({
    targets: '.new-email-modal',
    duration: 700,
    translateY: [-400,0],
    opacity: [0,1],
    easing: "easeOutElastic"
  });
}

function animateCancelDiscardModal() {
  anime({
    targets: '.new-email-modal',
    duration: 500,
    translateY: [0,-400],
    opacity: [1,0],
    easing: "easeInCubic"
  });
}

function animateSaveAsDraft() {
  // Window
  anime({
    targets: '.new-email-window',
    duration: 500,
    translateY: [0,-400],
    translateX: [0, -330],
    opacity: [1,0.6],
    scale: [1, 0],
    easing: "easeInCubic",
    complete: function(anim) {
      // Bounce icon
      anime({
        targets: '.drafts-inbox-icon',
        duration: 250,
        scale: [1, 1.3],
        direction: 'alternate',
        loop: 1,
        easing: "easeOutBack"
      });

      // Reveal counter
      $(".drafts-inbox-icon-count").show().css("opacity", 0);
      anime({
        targets: '.drafts-inbox-icon-count',
        duration: 600,
        scale: [0, 1],
        opacity: 1,
        easing: "easeOutElastic"
      });
    }
  });

  
}

function reset() {
  $(".new-email-window").hide();
  $(".new-email-modal").hide();
  $(".drafts-inbox-icon-count").hide();
}
